# Get the block hash for the block on the given round.

GET

/v2/blocks/{round}/hash

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**round**  
required  
integer  
A round number.

## Responses

### 200

Hash of a block header.

Select media type: application/json  
object  
**blockHash**  
required  
Block header hash.  
string

### 400

Bad Request - Non integer number

Select media type: application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### 401

Invalid API Token

Select media type: application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### 404

None existing block

Select media type: application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### 500

Internal Error

Select media type: application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### default

Unknown Error
